# ionoscloud\_pg\_databases

The **PgSql Databases data source** can be used to search for and return multiple existing PgSql databases.

## Example Usage

### All databases from a specific cluster

```hcl
data "ionoscloud_pg_databases" "example" {
   cluster_id = "cluster_id"
}
```

### Filter by owner

```hcl
data "ionoscloud_pg_databases" "example" {
   cluster_id = "cluster_id"
   owner = "owner"
}
```

## Argument Reference

* `cluster_id` - (Required)\[string] The ID of the cluster.
* `owner` - (Optional)\[string] Filter using a specific owner.

## Attributes Reference

The following attributes are returned by the datasource:

* `databases` - \[list] A list that contains either all databases, either some of them (filter by owner). A database from list has the following format:
  * `name` - \[string] The name of the database.
  * `owner` - \[string] The owner of the database.
  * `id` - \[string] The ID of the database.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/terraform-provider/data-sources/dbaas_pgsql_databases.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
